package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/4/10 9:27
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_log_history")
@org.hibernate.annotations.Table(appliesTo = "t_log_history", comment = "日志记录表")
@TableName("t_log_history")
public class LogHistory {

    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "table_name", columnDefinition = "varchar(255) comment '操作名称'")
    private String tableName;

    @Column(name = "uri", columnDefinition = "varchar(255) comment '访问地址'")
    private String uri;

    @Column(name = "params", columnDefinition = "varchar(255) comment '携带参数(json)'")
    private String params;

    @JoinColumn(name = "user_id", columnDefinition = "bigint(20) comment '操作名称'")
    private Integer userId;

    @Column(name = "request_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '请求时间'")
    private LocalDateTime requestTime;

    @Column(name = "duration", columnDefinition = "int(11) comment '请求持续时间(毫秒)'")
    private Integer duration;

    @Column(name = "type", columnDefinition = "varchar(255) comment '操作类型'")
    private String type;

    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "ip", columnDefinition = "varchar(255) COMMENT '请求地址'")
    private String ip;



}
