package com.migao.service.impl;

import com.migao.config.response.ResponseBean;
import com.migao.config.response.ResponseBuilder;
import com.migao.entity.po.LogHistory;
import com.migao.entity.vo.req.LogHistoryInsertReq;
import com.migao.mapper.LogHistoryMapper;
import com.migao.service.LogHistoryService;
import com.migao.util.EntityUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

@Slf4j
@Service
@Transactional(rollbackFor = {Exception.class})
public class LogHistoryServiceImpl implements LogHistoryService {
    @Resource
    private LogHistoryMapper logHistoryMapper;

    @Override
    public ResponseBean<?> insert(LogHistoryInsertReq logHistoryInsertReq) {
        return ResponseBuilder.ok(logHistoryMapper.insert(EntityUtils.copyProperties(logHistoryInsertReq, LogHistory.class)));
    }
}
